Movider API Reference
MoviderMoviderAPI Reference
  • API Reference
SMS API
    Send SMSPOSTSend SMSGETSend SMS schedule messages.POSTList all scheduled SMS messages.GETGet a scheduled SMS message.GETCancel a scheduled SMS message.DELETEDelivery reports (DR) for SMSSMPP Connection
Campaign API
    Create a new campaignPOSTList campaign scheduledGETGet a campaign scheduledGETCancel a campaign scheduledDELETE
Viber API
    Create a new viber campaignPOSTList campaign scheduledGETGet a campaign scheduledGETCancel a campaign scheduledDELETE
VERIFICATION API
    Send VerifyPOSTAcknowledge VerifyPOSTCancel VerifyPOST
Voice API
    Send a voice callPOSTGet voice call statusGETVoice API Error codesSupported Voice Languages
BALANCE API
    Get account balancePOST
Contact API
    Create contactsPOSTList contactsGETGet contacts informationGETUpdate contacts informationPATCHDelete contactDELETE
Audience API
    Create a groupPOSTList audience informationGETGet audience informationGETUpdate audience informationPATCHDelete audienceDELETEGet contacts for a groupGETAdd contacts to a groupPUTRemove contacts from a groupDELETE
Chatapps Outbound API
    Send a WhatsApp message using an approved templatePOSTList WhatsApp credit wallets for the authenticated memberGETList approved WhatsApp templates for the authenticated memberGET
GENERAL API INFORMATION
    API Error codesAPI Error codes (extended)Schedule message status referenceDelivery reports (DR) status reference
powered by Zudoku
SMS API

Delivery reports (DR) for SMS

Delivery Report (DR) will be sent to your webhook URL using the HTTP method you specified in Movider developer setting section. A Delivery Report tells the status of sending an SMS message and whether it has been sent.

You can also overwrite the default callback URL and method per request by callback_url and callback_method parameters (see Send SMS).

In case the callback method is POST we're requesting with Content-Type application-x-www-urlencoded.

Retry logic

In case of HTTP response code is not 2xx and 3xx, There will be retry attempts with intervals of 1, 10, 20, 40, 80, and 160 seconds.

Delivery report format

Request body description

Parameter nameTypeDescription
statusstringSMS status group (see Delivery reports (DR) status)
detailstringSMS status detail
message_iduuidThe unique message id generated by Movider
message_pricefloatSMS price
tostringMobile phone number to which the SMS was sent
sent_datestringDate and time when the request has been sent

Responding to Movider

You are also required to respond to Movider gateway in order to receive the Delivery Report (DR) of sending SMS messages. At your webhook URL, please respond in JSON format as shown below.

Code
{ "status": "OK", "detail": "" }
Last modified on September 11, 2026
SMPP Connection
JSON